Bug 1107788 - man bkr job-list shows command-line options owner, whiteboard, mine instead of correct --owner, --whiteboard, --mine
Summary: man bkr job-list shows command-line options owner, whiteboard, mine instead o...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 15:31 UTC by Martin Frodl
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:36 UTC


Attachments (Terms of Use)

Description Martin Frodl 2014-06-10 15:31:33 UTC
Description of problem:

--owner, --whiteboard and --mine are a couple of command-line options that bkr job-list can be run with. The corresponding man page shows them without leading hyphens, though:


$ man bkr job-list

[...]
OPTIONS
       [...]
       owner <username>
              Limit to jobs which are owned by the user identified by
              <username>.

       whiteboard <string>
              Limit to jobs whose whiteboard contains <string>

       mine   Presence of --mine is equivalent to including own username
              in --owner
[...]


All the other options are correctly documented with the leading hyphens. In the case of their ommission the desired option is not recognized:


$ bkr job-list --mine
[prints my jobs only]
$ bkr job-list mine
[prints a zillion jobs I have totally nothing to do with]


The respective man page should be modified accordingly.


Version-Release number of selected component (if applicable):
beaker-0.16.2-1.el7eng.noarch

Comment 2 Dan Callaghan 2014-06-10 23:36:40 UTC
The command should also error out when given positional args, to catch usage errors like that.

On Gerrit: http://gerrit.beaker-project.org/3136

Comment 5 Dan Callaghan 2014-07-18 08:17:36 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.